{% extends "base.html" %}
{% import '_forms.html' as forms %}
{% block content %}
<div class="tile is-parent">
  <article class="tile box is-child ">
    <h2 class="title is-2">{{ strings.Backup }}</h2>
    <h3 class="title is-3">{{ strings.cloud | capitalize }}</h3>
    <form>
      {{ forms.input_checkbox('is_cloud', strings.enable | capitalize, False) }}
      {{ forms.input_text('username', strings.username | capitalize) }}
      {{ forms.input_password('password', strings.password | capitalize) }}
      <div class="is-divider"></div>
      <h3 class="title is-3">{{ strings.remote_storage | capitalize }}</h3>
      {{ forms.input_checkbox('is_remote', strings.enable | capitalize, False) }}
      {{ forms.input_text('address', strings.address | capitalize) }}
      {{ forms.input_text('username', strings.username | capitalize) }}
      {{ forms.input_password('password', strings.password | capitalize) }}
      <div class="is-divider"></div>
      <h3 class="title is-3">{{ strings.usb_drive | capitalize }}</h3>
      {{ forms.input_checkbox('is_drive', strings.enable | capitalize, False) }}
      {{ forms.input_select('drive', [], none, strings.drive | capitalize) }}

      <br>
      {{ forms.button(strings.save | capitalize ) }}
    </form>
    <br>
    <br>
    <h2 class="title is-2">{{ strings.frequency | capitalize }}</h2>
    <form>
      <table>
        <tr>
          <td>{{ strings.minutes | capitalize }}</td>
          <td>{{ strings.hours | capitalize }}</td>
          <td>{{ strings.days | capitalize }}</td>
          <td>{{ strings.months | capitalize }}</td>
          <td>{{ strings.weekdays | capitalize }}</td>
        </tr>
        <tr>
          <td>{{ forms.input_text('minutes') }}</td>
          <td>{{ forms.input_text('hours') }}</td>
          <td>{{ forms.input_text('days') }}</td>
          <td>{{ forms.input_text('months') }}</td>
          <td>{{ forms.input_text('weekdays') }}</td>
        </tr>
      </table>
      <br>
      {{ forms.button(strings.save | capitalize ) }}
    </form>
    <br>
    <br>
    <h2 class="title is-2">{{ strings.restoration | capitalize }}</h2>
    <form>
      {{ forms.input_select('file', [], none, strings.backup) }}
      {{ forms.button(strings.restore | capitalize ) }}
    </form>
  </article>
</div>
{% endblock %}
